## manila 15.1.0

=== debian/changelog ===
manila (1:15.1.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 14:13:52 +0200

manila (1:15.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Nov 2022 13:14:31 +0100

manila (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 09:12:32 +0200

manila (1:15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:07:53 +0200

manila (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 17:02:56 +0200

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 git,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt <!nodoc>,
 python3-eventlet,
 python3-fixtures <!nodoc>,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-netaddr (>= 0.8.0),
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest <!nodoc>,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-requests-mock,
 python3-routes,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tenacity (>= 6.3.1),
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools,
 python3-tooz,
 python3-webob,
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila.git
Homepage: https://github.com/openstack/manila

Package: manila-api
Architecture: all
Depends:
 adduser,
 debconf,
 manila-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 python3-ceph-argparse,
 python3-rados,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic,
 e2fsprogs,
 python3-cinderclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-netaddr (>= 0.8.0),
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity (>= 6.3.1),
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila,
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
	rm -rf debian/manila-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm
	pkgos-merge-templates manila-api manila endpoint
	pkgos-merge-templates manila-common manila db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_1.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_2.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_list_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_show_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_subnet_create.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnet.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnets.*|.*share\.drivers\.infinidat.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	mkdir -p $(CURDIR)/debian/manila-common/etc/manila/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/manila-common/etc/manila/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace manila

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/manila-common/etc/manila/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_policy policy_dirs /etc/manila/policy.d

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/manila/tags .*/(\d[brc\d\.]+)\.tar\.gz

## manila 15.1.0+git2022121319.605925e8f

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:15.1.0+git2022121319.605925e8f-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Dec 2022 19:27:20 -0500

## manila 15.1.0+git2023010820.73848870

=== debian/changelog ===
manila (1:15.1.0+git2023010820.73848870-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jan 2023 14:17:51 -0500

## manila 15.2.0

=== debian/changelog ===
manila (1:15.2.0-0ubuntu1) kinetic; urgency=medium

  * New stable point release for OpenStack Zed (LP: #2019755).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 15:15:56 -0400

manila (1:15.1.0-0ubuntu1) kinetic; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #1996910).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Dec 2022 18:01:20 -0500

## manila 15.4.0

=== debian/changelog ===
manila (1:15.4.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New stable point release (LP: #2054687).

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2024 15:23:58 +0000

manila (1:15.3.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New stable point release for OpenStack Zed (LP: #2046373).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 14:11:17 -0500

manila (1:15.2.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 20 May 2023 00:16:56 +0000

## manila 15.4.1

=== debian/changelog ===
manila (1:15.4.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:09:50 +0000

manila (1:15.2.0-3) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Sep 2023 15:42:05 +0200

## manila 16.0.0~rc1+git2023030309.f03e84ae

=== debian/changelog ===
manila (1:16.0.0~rc1+git2023030309.f03e84ae-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:26:36 -0500

## manila 16.0.0

=== debian/changelog ===
manila (1:16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:47:34 -0400

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-ddt (>= 1.4.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.26.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.7.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.3.17),
 python3-stestr (>= 3.0.1),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
Homepage: https://opendev.org/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.26.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler (>= 3.4.0),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.3.17),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

## manila 16.0.0+git2023071214.a01cdc77

=== debian/changelog ===
manila (1:16.0.0+git2023071214.a01cdc77-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:32:37 -0400

manila (1:16.0.0+git2023061415.c976f041-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:06:36 -0400

## manila 16.0.0+git2023090714.f912aafc

=== debian/changelog ===
manila (1:16.0.0+git2023090714.f912aafc-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:25:28 -0400

=== debian/control ===
--- 
+++ 
@@ -72,6 +72,7 @@
  python3-routes (>= 2.4.1),
  python3-six (>= 1.15.0),
  python3-sqlalchemy (>= 1.3.17),
+ python3-sqlalchemy-utils (>= 0.38.3),
  python3-stestr (>= 3.0.1),
  python3-stevedore (>= 1:3.2.2),
  python3-tenacity (>= 6.3.1),
@@ -243,6 +244,7 @@
  python3-routes (>= 2.4.1),
  python3-six (>= 1.15.0),
  python3-sqlalchemy (>= 1.3.17),
+ python3-sqlalchemy-utils (>= 0.38.3),
  python3-stevedore (>= 1:3.2.2),
  python3-tenacity (>= 6.3.1),
  python3-tooz (>= 2.7.1),

## manila 16.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=5.5.0 # Apache-2.0

alembic>=1.4.2 # MIT
eventlet>=0.26.1 # MIT
greenlet>=0.4.16 # MIT
lxml>=4.5.2 # BSD
netaddr>=0.8.0 # BSD
oslo.config>=8.3.2 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
pyparsing>=2.4.7 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
Routes>=2.4.1 # MIT
SQLAlchemy>=1.3.17 # MIT
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
WebOb>=1.8.6 # MIT

=== debian/changelog ===
manila (1:16.1.0-0ubuntu1~cloud1) jammy-antelope; urgency=medium

  * d/p/lp2069125.patch: Fix NetApp Driver error adding
    access rules when using SVM-scoped user and the Vserver
    LIF is not configured with Kerberos. (LP: #2069125)

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Tue, 12 Nov 2024 19:01:49 -0300

manila (1:16.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * New stable point release for OpenStack Antelope (LP: #2046370).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 13:49:53 -0500

manila (1:16.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Mar 2023 23:07:52 +0000

## manila 17.0.0

=== debian/changelog ===
manila (1:17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:02:35 -0400

manila (1:16.0.0+git2023090714.f912aafc-0ubuntu2) mantic; urgency=medium

  * d/control: Drop min version of python3-sqlalchemy-utils to 0.38.2 to
    align with what is currentl available in Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 15:39:49 -0400

## manila 17.1.0

=== debian/changelog ===
manila (1:17.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream SQLAlchemy 2.x patches:
    - sqla2.0-db_Rename_some_methods.patch
    - sqla2.0-db_Rename_share_instances_-to-share_instance_.patch
    - sqla2.0-db_Rename_share_export_location_-to-export_location_.patch
    - sqla2.0-db_Add__share_get.patch
    - sqla2.0-db_Add-_share_instance_get.patch
    - sqla2.0-db_Migrate-export-locations-export-location-metadata-APIs-to_enginefacade.patch
    - sqla2.0-db_Convert-_ensure_availability_zone_exists-to-decorator.patch
    - sqla2.0-db_Add-_share_update-_share_instance_update.patch
    - sqla2.0-db_Migrate_transfer_APIs_to_enginefacade.patch
    - sqla2.0-db_Migrate_remaining_transfer_APIs_to_enginefacade.patch
    - sqla2.0-db_Remove_unnecessary_wrapper_class.patch
    - sqla2.0-db_Remove_unnecessary_helper.patch
    - sqla2.0-db_Migrate-share_instance-share_replica-APIs-to-enginefacade.patch
  * Add py3.12-use-assertAlmostEqual-not-failUnlessAlmostEqual.patch.
  * Blacklist NetAppRestCmodeClientTestCase.test_remove_preferred_dcs
  * The above fixes FTBFS (Closes: #1058162).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 12:31:11 +0100

manila (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:54:09 +0200

manila (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sqlalchemy-utils as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 17:08:55 +0200

manila (1:16.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1047482).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:27:26 +0200

manila (1:16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:40:32 +0200

manila (1:16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:58:48 +0200

manila (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:48:32 +0100

manila (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions if satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 17:13:19 +0100

## manila 17.4.0

=== debian/changelog ===
manila (1:17.4.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:27:31 +0000

manila (1:17.3.0-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Rebased / refreshed many sqla2.0-db* patches.
  * Remove all sqla2.0 patches from d/p/series, now useless if backported.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Nov 2024 21:49:43 +0100

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 git,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt <!nodoc>,
 python3-eventlet,
 python3-fixtures <!nodoc>,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-requests-mock,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools,
 python3-tooz,
 python3-webob,
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila.git
Homepage: https://github.com/openstack/manila

Package: manila-api
Architecture: all
Depends:
 adduser,
 debconf,
 manila-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 python3-ceph-argparse,
 python3-rados,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic,
 e2fsprogs,
 python3-cinderclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila,
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	rm -f debian/*.service debian/*.upstart debian/*.init
 	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
 	rm -rf debian/manila-common.postrm debian/*.templates debian/po
+	rm -rf build .stestr *.egg-info doc/source/_static
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
@@ -31,7 +34,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_1.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_2.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_list_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_show_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_subnet_create.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnet.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnets.*|.*share\.drivers\.infinidat.*))'
+	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_1.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_2.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_list_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_show_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_subnet_create.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnet.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnets.*|.*share\.drivers\.infinidat.*|.*share\.drivers\.netapp\.dataontap\.client\.test_client_cmode_rest\.NetAppRestCmodeClientTestCase\.test_remove_preferred_dcs.*))'
 endif
 
 	# Generate the config file
